Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0

The interface provides the methods and properties that are required by the class to access proxy servers.

The class is the base implementation of the interface.

Provides the base interface for implementation of proxy access for the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.ICredentials

  A instance that contains the credentials needed to authenticate a request to the proxy server.

  The property is an instance that contains the authorization credentials to send to the proxy server in response to an HTTP 407 (proxy authorization) status code.

  The credentials to submit to the proxy server for authentication.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Uri ``

  The method returns the URI of the proxy server that handles requests to the Internet resource that is specified in the parameter.

  Returns the URI of a proxy.

  A instance that contains the URI of the proxy used to contact .

  A that specifies the requested Internet resource. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method indicates whether to use the proxy server to access the host that is specified in the parameter. If is true, the proxy is not used to contact the host and the request is passed directly to the server.

  Indicates that the proxy should not be used for the specified host.

  true if the proxy server should not be used for ; otherwise, false.

  The of the host to check for proxy use. 0
0